<?xml version="1.0" encoding="utf-8"?>

<!-- @(#)47       1.7 src/43haes/usr/sbin/cluster/wsm/modules/activity/assoc/association.xsl, hacmp.wsm, 52haes_r541, 0747A_hacmp541 10/9/07 11:28:20 -->

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output indent="yes" method="html" omit-xml-declaration="yes"/>

  <xsl:include href="association_include.xsl"/>

  <xsl:template match="/">

    <!--all the line drawing areas so they can be easily hidden and removed-->
    <div class="line act_assoc" style="position: absolute; top: 0px; left: 0px; visibility: hidden;" id="linesParentChild"></div>
    <div class="line act_assoc" style="position: absolute; top: 0px; left: 0px; visibility: hidden;" id="linesRGParentChild"></div>
    <div class="line act_assoc" style="position: absolute; top: 0px; left: 0px; visibility: hidden;" id="linesRGOnlineOnSameNode"></div>
    <div class="line act_assoc" style="position: absolute; top: 0px; left: 0px; visibility: hidden;" id="linesRGOnlineOnDifferentNode"></div>
    <div class="line act_assoc" style="position: absolute; top: 0px; left: 0px; visibility: hidden;" id="linesRGOnlineOnSameSite"></div>


    <!--legend footer table-->
    <div class="act_assoc" style="text-align:center; position:absolute; visibility:hidden" id="AssocFooter" noWrap="true">

      <table border="0" style="text-align:left" id="TABLE1" rules="none" frame="void" class="act_assoc">
        <tr>
          <td noWrap="true" class="act_assoc act_assoc_cb">
            <input id="cbParentChild"
                   type="checkbox"
                   onclick="LinesCheckBox(this);"
                   onmouseover="JavaScript: this.style.cursor='pointer';"
                   onmouseout="JavaScript: this.style.cursor='default';"
                   value="linesRGParentChild"
                   checked="checked" />
          </td>
          <td noWrap="true"
              class="act_assoc act_assoc_cb"
              onmouseover="JavaScript: this.style.cursor='pointer';"
              onmouseout="JavaScript: this.style.cursor='default';"
              onclick="JavaScript:
var obj = document.getElementById('cbParentChild');
if (obj) obj.click();
if (obj) LinesCheckBox(obj);
">
            Parent/Child
          </td>
          <td noWrap="true" style="width: 10px;">
          </td>
          <td noWrap="true" style="width: 50px;" id="legendRGParentChild" >
          </td>
          <td noWrap="true" style="width: 30px;">
          </td>

          <td noWrap="true" class="act_assoc act_assoc_cb">
            <input id="cbOnlineSameNode"
                   type="checkbox"
                   onclick="LinesCheckBox(this);"
                   onmouseover="JavaScript: this.style.cursor='pointer';"
                   onmouseout="JavaScript: this.style.cursor='default';"
                   value="linesRGOnlineOnSameNode"
                   checked="checked" />
          </td>
          <td noWrap="true"
              class="act_assoc act_assoc_cb"
              onmouseover="JavaScript: this.style.cursor='pointer';"
              onmouseout="JavaScript: this.style.cursor='default';"
              onclick="JavaScript:
var obj = document.getElementById('cbOnlineSameNode');
if (obj) obj.click();
if (obj) LinesCheckBox(obj);
">
            Online on same node
          </td>
          <td noWrap="true" style="width: 10px;">
          </td>
          <td noWrap="true" style="width: 50px;" id="legendRGOnlineOnSameNode">
          </td>
        </tr>

        <tr>
          <td noWrap="true" class="act_assoc act_assoc_cb">
            <input id="cbOnlineOnDifferentNode"
                   type="checkbox"
                   onclick="LinesCheckBox(this);"
                   onmouseover="JavaScript: this.style.cursor='pointer';"
                   onmouseout="JavaScript: this.style.cursor='default';"
                   value="linesRGOnlineOnDifferentNode"
                   checked="checked" />
          </td>
          <td noWrap="true"
              class="act_assoc act_assoc_cb"
              onmouseover="JavaScript: this.style.cursor='pointer';"
              onmouseout="JavaScript: this.style.cursor='default';"
              onclick="JavaScript:
var obj = document.getElementById('cbOnlineOnDifferentNode');
if (obj) obj.click();
if (obj) LinesCheckBox(obj);
">
            Online on different node
          </td>
          <td noWrap="true" style="width: 10px;">
          </td>
          <td noWrap="true" id="legendRGOnlineOnDifferentNode">
          </td>
          <td noWrap="true">
          </td>

          <td noWrap="true" class="act_assoc act_assoc_cb">
            <input id="cbOnlineOnSameSite"
                   type="checkbox"
                   onclick="LinesCheckBox(this);"
                   onmouseover="JavaScript: this.style.cursor='pointer';"
                   onmouseout="JavaScript: this.style.cursor='default';"
                   value="linesRGOnlineOnSameSite"
                   checked="checked" />
          </td>
          <td noWrap="true"
              class="act_assoc act_assoc_cb"
              onmouseover="JavaScript: this.style.cursor='pointer';"
              onmouseout="JavaScript: this.style.cursor='default';"
              onclick="JavaScript:
var obj = document.getElementById('cbOnlineOnSameSite');
if (obj) obj.click();
if (obj) LinesCheckBox(obj);
">
            Online on same site
          </td>
          <td noWrap="true" style="width: 10px;">
          </td>
          <td noWrap="true" id="legendRGOnlineOnSameSite">
          </td>
        </tr>
      </table>
    </div>

    <xsl:apply-templates select="status/cluster" />

    <xsl:for-each select="status/sites/site">
      <xsl:sort select="Name"/>
      <xsl:apply-templates select="." />
    </xsl:for-each>

    <xsl:for-each select="status/nodes/node">
      <xsl:sort select="Name"/>
      <xsl:apply-templates select="." />
    </xsl:for-each>

    <xsl:for-each select="status/resource_groups/resource_group">
      <xsl:sort select="Name"/>
      <xsl:apply-templates select="." />
    </xsl:for-each>

    <xsl:text xml:space="preserve">
    </xsl:text>

  </xsl:template>

</xsl:stylesheet>
