<?xml version="1.0" encoding="utf-8"?>
<!-- @(#)19       1.1 src/43haes/usr/sbin/cluster/wsm/modules/activity/assoc/association_resource.xsl, hacmp.wsm, 52haes_r540, r5400622c 4/3/06 12:55:07 -->

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output indent="yes" method="html" omit-xml-declaration="yes"/>
  <xsl:param name="paramName"/>
  <xsl:param name="paramType"/>

  <xsl:include href="association_include.xsl"/>

  <xsl:template match="/">
    <xsl:call-template name="detailLineDrawingAreas"/>
    <xsl:call-template name="detailFooter"/>

    <xsl:apply-templates select="/status/resource_groups/resource_group[resources/resource/Name=$paramName and resources/resource/Type=$paramType]"/>

    <xsl:for-each select="/status/resource_groups/resource_group/resources/resource[Name=$paramName and Type=$paramType]">
      <xsl:apply-templates select="."/>

      <xsl:if test="$paramType = '1000'">
        <xsl:variable name="Name" select="Name"/>
        <xsl:apply-templates select="/status/networks/network[Id=/status/addresses/address[Label=$Name]/NetId]"/>
      </xsl:if>
      <xsl:for-each select="../../nodes/node[NodeState = 2 or NodeState = 16]">
        <xsl:variable name="NodeId" select="NodeId"/>
        <xsl:apply-templates select="/status/nodes/node[Id=$NodeId]"/>

        <xsl:apply-templates select="/status/sites/site[nodes/node/NodeId=$NodeId]"/>
      </xsl:for-each>

      <xsl:apply-templates select="/status/cluster"/>

    </xsl:for-each>

  </xsl:template>
</xsl:stylesheet>
