<?xml version="1.0" encoding="utf-8"?>
<!-- @(#)15       1.1 src/43haes/usr/sbin/cluster/wsm/modules/activity/assoc/association_address.xsl, hacmp.wsm, 52haes_r540, r5400622c 4/3/06 12:54:58 -->

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output indent="yes" method="html" omit-xml-declaration="yes"/>
  <xsl:param name="paramName"/>
  <xsl:param name="paramType"/>

  <xsl:include href="association_include.xsl"/>

  <xsl:template match="/">
    <xsl:call-template name="detailLineDrawingAreas"/>
    <xsl:call-template name="detailFooter"/>

    <xsl:for-each select="/status/addresses/address[Label=$paramName]">
      <xsl:apply-templates select="."/>

      <xsl:variable name="NetId" select="NetId"/>
      <xsl:apply-templates select="/status/networks/network[Id=$NetId]"/>

      <xsl:variable name="ActiveNode" select="ActiveNode"/>
      <xsl:for-each select="/status/nodes/node[Id=$ActiveNode]">
        <xsl:apply-templates select="."/>
        <xsl:variable name="Id" select="Id"/>
        <xsl:apply-templates select="/status/sites/site[nodes/node/NodeId=$Id]"/>
      </xsl:for-each>

      <xsl:apply-templates select="/status/cluster"/>

    </xsl:for-each>
  </xsl:template>
</xsl:stylesheet>
